// CPolhemusStatusBarActiveXControl.cpp : Implementation of CCPolhemusStatusBarActiveXControlApp and DLL registration.

#include "stdafx.h"
#include "CPolhemusStatusBarActiveXControl.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


CCPolhemusStatusBarActiveXControlApp NEAR theApp;

const GUID CDECL BASED_CODE _tlid =
		{ 0xC369FEC3, 0x19E4, 0x454A, { 0xAC, 0xBB, 0x5E, 0x78, 0x48, 0x96, 0xFB, 0xB7 } };
const WORD _wVerMajor = 1;
const WORD _wVerMinor = 0;



// CCPolhemusStatusBarActiveXControlApp::InitInstance - DLL initialization

BOOL CCPolhemusStatusBarActiveXControlApp::InitInstance()
{
	BOOL bInit = COleControlModule::InitInstance();

	if (bInit)
	{
		// TODO: Add your own module initialization code here.
	}

	return bInit;
}



// CCPolhemusStatusBarActiveXControlApp::ExitInstance - DLL termination

int CCPolhemusStatusBarActiveXControlApp::ExitInstance()
{
	// TODO: Add your own module termination code here.

	return COleControlModule::ExitInstance();
}



// DllRegisterServer - Adds entries to the system registry

STDAPI DllRegisterServer(void)
{
	AFX_MANAGE_STATE(_afxModuleAddrThis);

	if (!AfxOleRegisterTypeLib(AfxGetInstanceHandle(), _tlid))
		return ResultFromScode(SELFREG_E_TYPELIB);

	if (!COleObjectFactoryEx::UpdateRegistryAll(TRUE))
		return ResultFromScode(SELFREG_E_CLASS);

	return NOERROR;
}



// DllUnregisterServer - Removes entries from the system registry

STDAPI DllUnregisterServer(void)
{
	AFX_MANAGE_STATE(_afxModuleAddrThis);

	if (!AfxOleUnregisterTypeLib(_tlid, _wVerMajor, _wVerMinor))
		return ResultFromScode(SELFREG_E_TYPELIB);

	if (!COleObjectFactoryEx::UpdateRegistryAll(FALSE))
		return ResultFromScode(SELFREG_E_CLASS);

	return NOERROR;
}
